Index: branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Moves/Swap/ExhaustiveSwap2MoveGenerator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Moves/Swap/ExhaustiveSwap2MoveGenerator.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Moves/Swap/ExhaustiveSwap2MoveGenerator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
   [Item("ExhaustiveSwap2MoveGenerator", "Generates all possible swap-2 moves from a given permutation.")]
-  [StorableClass]
+  [StorableClass("25D64C97-0E7E-4B41-96D6-35EB2BD98617")]
   public class ExhaustiveSwap2MoveGenerator : Swap2MoveGenerator, IExhaustiveMoveGenerator {
     [StorableConstructor]
Index: branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Moves/Swap/StochasticSwap2MultiMoveGenerator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Moves/Swap/StochasticSwap2MultiMoveGenerator.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Moves/Swap/StochasticSwap2MultiMoveGenerator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
   [Item("StochasticSwap2MultiMoveGenerator", "Randomly samples n from all possible swap-2 moves from a given lle grouping.")]
-  [StorableClass]
+  [StorableClass("FF1887C5-1704-4F72-8D13-185EF8E97775")]
   public class StochasticSwap2MultiMoveGenerator : Swap2MoveGenerator, IMultiMoveGenerator, IStochasticOperator {
     public ILookupParameter<IRandom> RandomParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Moves/Swap/StochasticSwap2SingleMoveGenerator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Moves/Swap/StochasticSwap2SingleMoveGenerator.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Moves/Swap/StochasticSwap2SingleMoveGenerator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
   [Item("StochasticSwap2SingleMoveGenerator", "Randomly samples a single from all possible swap-2 moves from a given grouping.")]
-  [StorableClass]
+  [StorableClass("5E4A490B-B6C6-4430-947D-13036B795704")]
   public class StochasticSwap2SingleMoveGenerator : Swap2MoveGenerator, IStochasticOperator, ISingleMoveGenerator {
     public ILookupParameter<IRandom> RandomParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Moves/Swap/Swap2Move.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Moves/Swap/Swap2Move.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Moves/Swap/Swap2Move.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -26,5 +26,5 @@
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
   [Item("Swap2Move", "Item that describes a swap-2 move.")]
-  [StorableClass]
+  [StorableClass("72B450FF-90FF-45E1-9C6F-F230F6EE3208")]
   public class Swap2Move : Item {
     [Storable]
Index: branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Moves/Swap/Swap2MoveGenerator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Moves/Swap/Swap2MoveGenerator.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Moves/Swap/Swap2MoveGenerator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
   [Item("Swap2MoveGenerator", "Base class for all swap-2 move generators.")]
-  [StorableClass]
+  [StorableClass("12B437AD-017A-4174-9BC2-03CCE57BF0D3")]
   public abstract class Swap2MoveGenerator : SingleSuccessorOperator, ILinearLinkageSwap2MoveOperator, IMoveGenerator {
     public override bool CanChangeName {
Index: branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Moves/Swap/Swap2MoveMaker.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Moves/Swap/Swap2MoveMaker.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Moves/Swap/Swap2MoveMaker.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -32,5 +32,5 @@
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
   [Item("Swap2MoveMaker", "Peforms a swap-2 move on a given grouping and updates the quality.")]
-  [StorableClass]
+  [StorableClass("B780BF6C-6008-4338-BE7B-CD4C9A7B5FDC")]
   public class Swap2MoveMaker : SingleSuccessorOperator, ILinearLinkageSwap2MoveOperator, IMoveMaker, ISingleObjectiveOperator {
     public override bool CanChangeName {
